/*
 * Copyright 2024 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.tig;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;

public class Method {
	public static class ArgList {
		private List<Arg> args = new ArrayList<Arg>();
		@XmlElements(@XmlElement(name="arg",type=Arg.class))
		public List<Arg> getArgs() {
			return args;
		}
		public void setArgs(List<Arg> args) {
			this.args = args;
		}
	}
	private String name;
	private ArgList args;
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public ArgList getArgs() {
		return args;
	}
	public void setArgs(ArgList args) {
		this.args = args;
	}
}
